# Dummy gcc-plugin-annobin
#
# Provide gcc-plugin-annobin even if we don't really have it (using an external annobin-plugin-gcc)

Name:           gcc-plugin-annobin-dummy
Version:        11.3.1
Release:        2.0
Summary:        Dummy gcc-plugin-annobin for help in bootstrapping GCC 11
License:        TBD
URL:            https://skiprocky.linuxdn.org/RockyRiscV


BuildRequires: annobin-plugin-gcc >= 10

Provides: gcc-plugin-annobin = %{VERSION}-%{RELEASE}
Provides: gcc-plugin-annobin(%{_arch}) = %{VERSION}-%{RELEASE}

# We're providing stock annobin as well, apparently:
Provides: annobin = 10.79-1.1


Requires: gcc >= 11
Requires: annobin-plugin-gcc >= 10



%description
Dummy package for providing gcc-plugin-annobin


%prep
echo Good.

%build
echo Good.

%install

mkdir -p %{buildroot}%{_libdir}/gcc/%{_arch}-redhat-linux/11/plugin
pushd %{buildroot}%{_libdir}/gcc/%{_arch}-redhat-linux/11/plugin

# annobin plugin should be tightly bound to the gcc build?  Screw that noise.  
# Caution is for nerds :-D 
ln -s annobin.so  gcc-annobin.so

popd



%files
%{_libdir}/gcc/%{_arch}-redhat-linux/11/plugin/gcc-annobin.so

%changelog
* Wed Apr 12 2023 Skip Grube <skip@rockylinux.org> - 11.3.1-2.0
- Initial package for RiscV bootstrap


